Subject: bug#73303: 30.0.91; Native compiler repeatedly interrupts at random moments

From: Eli Zaretskii <[email-masked]>
Date: Wed, 18 Sep 2024 14:29:45 +0300

> From: "N. Jackson" <[email-masked]>
> Cc: Philip Kaludercic <[email-masked]>,  [email-masked],
>   [email-masked]
> Date: Tue, 17 Sep 2024 20:09:51 +0000
> 
> > If your init file arranges for many packages to load only on demand,
> > then I don't think there is a way, except summarily compile all the
> > packages under your ~/.emacs.d/ directory (assuming that's where you
> > install them).
> 
> I don't think I do that.  Not deliberately anyway.  Almost all the
> packages I use were installed with the package manager through the
> list-packages interface, although there a few that comes from my
> GNU/Linux distribution.

AFAIK, by default package.el installs all packages under
package-user-dir, which on my system is ~/.emacs.d/elpa/.

> >> I don't suppose there's a function
> >> native-compile-eagerly-compile-all-dependencies-of-my-init-files-and-do-it-synchronously-right-now?!
> >
> > We could do that, but before we do' we'd need to come up with a
> > find-all-dependecies-of-my-init-files function ;-)
> 
> Ha!  Well I don't feel so bad now that I couldn't immediately see
> exactly how to do it.
> 
> But wouldn't it be as simple as just native compiling everything on
> load-path?

You could do that, but that would be a huge overkill, I think.

Also, loading all of the files there might get you in trouble, because
not every Lisp package is compatible with every other.  They could
conflict.